Skip to main content
`Ctrl`+`K`

# PCFieldSplitSetSchurScale

Controls the sign flip of S for `PC_FIELDSPLIT_SCHUR_FACT_DIAG`.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitSetSchurScale(PC pc, PetscScalar scale)

Collective

## Input Parameters

- pc - the preconditioner context

- scale - scaling factor for the Schur complement

## Options Database Key

- -pc_fieldsplit_schur_scale <scale> - default is -1.0

## See Also

Solving Block Matrices with PCFIELDSPLIT, `PC`, `PCFIELDSPLIT`, `PCFieldSplitSetFields()`, `PCFieldSplitSchurFactType`, `PCFieldSplitSetSchurFactType()`

## Level

intermediate

## Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

## Implementations

PCFieldSplitSetSchurScale_FieldSplit() in src/ksp/pc/impls/fieldsplit/fieldsplit.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages